name = "Test Lua Mod"
dependencies = {
	{"exdilin", "0.5.0"}
}

function register(registerType)
	if registerType == "textures" then
		exdilin.register_and_load_texture("Sans Texture", "sans.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("Obama Texture", "obama.png", "Normal", "AllSidesTo1x1")
		exdilin.register_and_load_texture("Obama Head Texture", "obama_head.png", "Normal", "OneSideTo1x1")
		exdilin.register_and_load_texture("BlocksVerse Texture", "bv.png", "Normal", "OneSideTo1x1")
	end
end

function init()
	exdilin.load_block_model("Test Block", "test.obj")
end

function pre_init()
	local block = exdilin.new_block({
		id = "Test Block",
		modelName = "Test Block"
	})
	local blockItem = block.default_block_item("Yellow/Cube", "rare")
	blockItem.register()
	block.register()

	local sansTextureItem = exdilin.texture_item("Sans Texture")
	sansTextureItem.register()
	local obamaTextureItem = exdilin.texture_item("Obama Texture")
	obamaTextureItem.register()
	local obamaTextureItem2 = exdilin.texture_item("Obama Head Texture")
	obamaTextureItem2.register()
	local bvTextureItem = exdilin.texture_item("BlocksVerse Texture")
	bvTextureItem.register()
end
